package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.model.Fcdgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class FctcanStoreVo extends BaseTransactionVo {
    private Fcdgrp fcdgrp;

    private String gleflg;

    /**
     * stream of csh
     */
//    private Stream cshstm;
    private List<CshVo> cshVoList;
    /**
     * 已使用保证金
     */
    private String errflg;

    @Override
    public void reset() {
        super.reset();
        if (fcdgrp == null) {
            fcdgrp = new Fcdgrp();
        }
        fcdgrp.reset();
    }
}
